# Package org.apache.hadoop.hdfs.tools.offlineImageViewer

- Class Summary
  Class | Description
  --- | ---
  PBImageDelimitedTextWriter | A PBImageDelimitedTextWriter generates a text representation of the PB fsimage, with each element separated by a delimiter string.
  WebImageViewer | WebImageViewer loads a fsimage and exposes read-only WebHDFS API for its namespace.
  XmlImageVisitor | An XmlImageVisitor walks over an fsimage structure and writes out an equivalent XML document that contains the fsimage's components.

- Exception Summary
  Exception | Description
  --- | ---
  IgnoreSnapshotException | Signals that a snapshot is ignored.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.